#pragma once

#include <queue>
#include <string>
#include "GE161int.h"

namespace GE161
{
	class Texty
	{
	public:
		Texty(std::string fontName, int fontSize, bool visible);
		~Texty();

		enum writeOption_t {CONTINUE, NEXT_LINE};

		void write(std::string text, int x, int y);
		void write(std::string text, writeOption_t option = Texty::CONTINUE);

	private:
		std::string fontName;
		boolean visible;
		boolean error;
		TTF_Font* font;
		int nextX, nextY;
		int lineStartX;
		SDL_Color color;
		SDL_Texture* texture;

	};
}